# Mystic's Items
Adds 40 new items!  

![](https://i.imgur.com/8OOURv4.gif)  
![](https://i.imgur.com/MwmTSfN.png)  

### Important notes
#### Manual installation
Put **all** files from the downloaded archive in the plugins folder.  
#### Multiplayer
Make sure that your config matches with the configs of other players in the lobby.  

### Discussion & feedback
Please visit the [Discussion Board on itch.io](https://themysticsword.itch.io/ror2-mystics-items/community)!

### Bug reports
If you encounter an issue with the mod (bug, typo, mistranslation, incompatibility with another mod, etc.), report it on the [issue tracker](https://github.com/TheMysticSword/MysticsItems/issues) and make sure that a similar issue isn't open at the moment.  
Consider providing an output log in your bug report to make the fixing process easier.  
Make only one issue per bug.  
You can also report the bug on the [itch.io board](https://itch.io/board/1788781/issue-tracker) if you don't have an account on GitHub but have one on itch.io.

### Configuration
The mod creates two config files on the first launch:
* MysticsItems_General.cfg - general mod settings
* MysticsItems_Balance.cfg - item and equipment value tweaking

### Mod compatibility
This mod supports ItemStats and BetterUI buff tooltips.  
If you want to add Mystic's Items support for your own mod, read [this document](https://github.com/TheMysticSword/MysticsItems/blob/main/FORMODDERS.md).

### Donations
The credits section below includes some of the team members' personal donation links (certain members don't have one for personal reasons).  
Please note a few things before making a donation:
* This mod is **completely free** - none of its features require paying money and never will. ​You will not get any special perks, benefits or rewards for donating.​
* Donations through each link go **specifically to that individual team member** and **not** to the team as a whole.​

### Credits
#### Main team
TheMysticSword ([donations](https://themysticsword.itch.io/ror2-mystics-items)) - Coding, Russian translation  
Marwan60 ([donations](https://ko-fi.com/marwan6097266)) - Modelling  
Omar Faruk - Turkish translation (for version 1.1.13)  
Vyrael ([donations](https://ko-fi.com/vyrael_)) - French translation
#### External assets
Contains sounds from [freesound.org](https://freesound.org/):  
["tim ring tone sharp.wav"](https://freesound.org/people/martian/sounds/19308/) by [Martin Chappell (martian)](https://freesound.org/people/martian/)  
["Fireworks Crackle"](https://freesound.org/people/16FThumaF/sounds/505264/) by [16FThumaF](https://freesound.org/people/16FThumaF/)  
["big thud2.wav"](https://freesound.org/people/Reitanna/sounds/332668/) by [Reitanna Seishin](https://freesound.org/people/Reitanna/)  
["Nuclear Alarm"](https://freesound.org/people/plasterbrain/sounds/242856/) by [plasterbrain](https://freesound.org/people/plasterbrain/)  
["01 Whoosh,Metal,Alien.wav"](https://freesound.org/people/Framing_Noise/sounds/256911/) by [Beatrix Moersch (Framing Noise)](https://freesound.org/people/Framing_Noise/)  
["Bubbles 004.wav"](https://freesound.org/people/ristooooo1/sounds/539819/) by [ristooooo1](https://freesound.org/people/ristooooo1/)  
["Sweep Downwards.wav"](https://freesound.org/people/stair/sounds/387552/) by [Alastair Pursloe (stair)](https://freesound.org/people/stair/)  
["Clock ticking"](https://freesound.org/people/Mortifreshman/sounds/237210/) by [Mortifreshman](https://freesound.org/people/Mortifreshman/)  
["Metronome.wav"](https://freesound.org/people/Druminfected/sounds/250552/) by [Druminfected](https://freesound.org/people/Druminfected/)  
["Single Kick (Reverb).wav"](https://freesound.org/people/YellowTree/sounds/172709/) by [YellowTree](https://freesound.org/people/YellowTree/)  
["Short Success Sound Glockenspiel Treasure Video Game.mp3"](https://freesound.org/people/FunWithSound/sounds/456965/) by [FunWithSound](https://freesound.org/people/FunWithSound/)  
["Synth Bass Drop Impact"](https://freesound.org/people/AlexLane/sounds/475005/) by [AlexLane](https://freesound.org/people/AlexLane/)  
["Crystallized madness"](https://freesound.org/people/Euphrosyyn/sounds/454600/) by [Corentin Jouet (Euphrosyyn)](https://freesound.org/people/Euphrosyyn/)  
["Anime_drama_shing_sword_2.wav"](https://freesound.org/people/Euphrosyyn/sounds/529019/) by [Corentin Jouet (Euphrosyyn)](https://freesound.org/people/Euphrosyyn/)  
["Sword Unsheath"](https://freesound.org/people/lucabia/sounds/276872/) by [lucabia](https://freesound.org/people/lucabia/)  
["Anime_teleport_sounds"](https://freesound.org/people/Euphrosyyn/sounds/592787/) by [Corentin Jouet (Euphrosyyn)](https://freesound.org/people/Euphrosyyn/)  
["Suzuki1250BanditStart.wav"](https://freesound.org/people/Sclolex/sounds/211667/) by [Sclolex](https://freesound.org/people/Sclolex/)  
["Chair Thrown, Crash, bolt fell out after crash.wav"](https://freesound.org/people/issalcake/sounds/115918/) by [issalcake](https://freesound.org/people/issalcake/)  
  
Sounds from the [Disc Room Game Jam audiopack](https://discroom.com/game-jam-tutorial-audio.zip) by [doseone](https://doseone.bandcamp.com/)  
Multiple sounds made with [sfxia](https://rxi.itch.io/sfxia) by [rxi](https://rxi.itch.io/)  
Contains assets from [FreePBR.com](https://freepbr.com/)  
Contains assets from [ambientCG.com](https://ambientcg.com/), licensed under CC0 1.0 Universal.
  
# Update 2.0
Please check out our post about the new update!  
https://themysticsword.itch.io/ror2-mystics-items/devlog/344340/update-20-and-itchio-release

### Changelog
#### 2.0.3:
* Added item displays for SniperClassic
* Choc Chip no longer affects the Invincibility buff
* Devil's Cry can no longer proc itself in a proc chain
* Fixed Manuscript and Mystic Sword hover tooltips in the Tab menu overriding other item descriptions when these items are lost (through Scrappers, 3D Printers, etc.)
* Fixed Spare Wiring affecting drones bought after the owner had lost the item
#### 2.0.2:
* Increased Warning System's charge radius from 30m to 50m
* Improved Rift Lens time calculation
* Set Ceremony of Perdition's proc coefficient to 0
    * Can be reverted with the Balance config
* Reduced Mystic Sword SFX volume
* Fixed Ceremony of Perdition being able to proc itself
* Fixed Last of Us challenge unlocking on killing Birdsharks on Distant Roost and Wandering Vagrant's tracking bombs instead of the final boss
* Fixed Smart Shopper challenge failing on purchasing a Multishop Terminal of any item tier other than common
* Fixed ItemStats display for Spare Wiring and Ceremony of Perdition being 100x higher
* Fixed Wireless Voltmeter not giving base shield
* Fixed Ceremony of Perdition not giving base crit chance
* Fixed Gate Chalice not doing anything on use
* Fixed Puzzle of Chronos additional scaling not resetting between runs
#### 2.0.1:
* Fixed a bug where the current profile fails to load if HereticUnchained mod is enabled
#### 2.0.0:
* **Added 20 New Items**
    * New Item: Manuscript
    * New Item: Platinum Card
    * New Item: Super Idol
    * New Item: Metronome
    * New Item: Spare Wiring
    * New Item: Mystic Sword
    * New Item: Cutesy Bow
    * New Item: Hiker's Backpack
    * New Item: Choc Chip
    * New Item: Failed Experiment
    * New Item: Devil's Cry
    * New Item: Ceremony of Perdition
    * New Item: Marwan's Ash
    * New Item: Ten Commandments of Vyrael
    * New Equipment: Warning System
    * New Equipment: Mechanical Arm
    * New Equipment: From Omar With Love
    * New Lunar Item: Moonglasses
    * New Lunar Item: Puzzle of Chronos
    * New Lunar Equipment: Fragile Mask
* **Added 3 New Challenges**
    * New Challenge: Smart Shopper
    * New Challenge: Beat the Heat
    * New Challenge: The Summit
* **Added 8 New Lore Entries**
    * New Lore Entry: Manuscript
    * New Lore Entry: Cup of Expresso
    * New Lore Entry: Platinum Card
    * New Lore Entry: Mystic Sword
    * New Lore Entry: Super Idol
    * New Lore Entry: Wirehack Wrench
    * New Lore Entry: Mechanical Arm
    * New Lore Entry: Fragile Mask
* **Gameplay Changes**
    * Items:
        * Spine Implant:
            * Armor: ~~10 (+10 per stack)~~ ⇒ 15 (+15 per stack)
        * Cup of Expresso:
            * Max Express Boost: ~~3 (+3 per stack)~~ ⇒ 3 (+2 per stack)
            * Express Boosts are no longer removed when losing an item
            * Picking up Lunar items now grants boosts
        * Wireless Voltmeter:
            * Base Shield: ~~4%~~ ⇒ 12%
            * Damage Reflection: ~~800% (+800% per stack)~~ ⇒ 1600% (+800% per stack)
        * Crystallized World:
            * Enemies that are immune to freeze now get a new debuff, Crystallized, that locks all of their skills and roots them in place
        * Thought Processor:
            * Effect changed: now increases attack speed for every 1% health missing
        * Timely Execution:
            * Cooldown: ~~60s (-33% per stack)~~ ⇒ 60s (-50% per stack)
            * Buff Duration: ~~6s~~ ⇒ 9s
            * The buff now also increases movement speed
        * Gate Chalice:
            * Cooldown: ~~140s~~ ⇒ 60s
            * Now removes 3 random items instead of giving an affliction
            * Now teleports to the final stage if the Primordial Teleporter is aligned with the moon
        * Rift Lens:
            * Rift Chests were replaced with Unstable Rifts
            * Unstable Rifts: ~~1 (+1 per stack)~~ ⇒ 3 (+3 per stack)
            * Downside changed: instead of getting slowed down, the owner will die if they fail to close all Unstable Rifts in a certain amount of time
        * Nuclear Accelerator:
            * Effect changed: now increases damage by 1% for every 2% of movement speed increase on the owner, and increases movement speed by 14% on the first stack
        * Contraband Gunpowder:
            * Radius: ~~8m (+1.6m per stack)~~ ⇒ 15m (+3m per stack)
            * Damage: ~~250% (+200% per stack)~~ ⇒ 500% (+400% per stack)
            * Proc Coefficient: ~~0~~ ⇒ 1
            * Powder Flask Chance: ~~10%~~ ⇒ 25%
        * Treasure Map:
            * Now drops a Legendary item for free instead of creating a Legendary Chest
        * Vintage Microphone:
            * Debuff no longer increases enemy skill cooldowns
            * Debuff now reduces enemy attack speed and enemy damage
            * Now also boosts the owner in the opposite direction on use
        * Relentless Vendetta:
            * Renamed to Vendetta
            * Buff Time: ~~8s (+8s per stack)~~ ⇒ 16s (+16s per stack)
            * Effect is now triggered only when an ally is killed by an enemy. Deaths from health decay (Squid Polyp, Happiest Mask), timers (The Back-Up) and on-demand ally kills (Engineer Turret, Rein's Sniper Decoy) no longer trigger this item.
        * Ratio Equalizer:
            * Cooldown: ~~20s~~ ⇒ 45s
            * Effect changed: now makes the current health fraction of all nearby characters equal to yours
        * Scratch Ticket:
            * No longer affects items that are unaffected by Luck
        * Wirehack Wrench:
            * Now drops 2 copies of a Printer's item instead of 1
    * Challenges:
        * Last of Us:
            * Now requires dealing the final blow to the final boss as the sole surviving ally instead of escaping the moon as the only player alive
        * Sincere Apologies:
            * Now requires giving a Sawmerang to an Equipment Drone with the Artifact of Chaos enabled and dying from it
        * Enemy Spotted:
            * Broken Spotter Drone is now hidden in a location accessible to all characters without a double jump
        * The challenges listed above will be reset when loading the new version for the first time
* **Misc Changes**
    * Added new config files:
        * MysticsItems_General - general mod settings
        * MysticsItems_Balance - item and equipment value tweaking
    * Added French translation by Vyrael
    * Temporarily removed the Turkish translation
    * Added on-player item displays for Crystallized World and Mysterious Monolith
    * Added MysticsRisky2Utils dependency
    * Crit Chance display in BetterUI is now affected by Scratch Ticket
        * May not be compatible with other mods that override the Crit Chance display in BetterUI
        * Can be disabled in the General config
    * Slightly improved Wirehack Wrench printer detection
    * Enemy Spotted and Burn to Kill challenge descriptions were made clearer
    * Broken Spotter Drone is no longer destroyed on repair, allowing for multiple people to repair it at once
    * Broken Spotter Drone is now 50% bigger
    * The flames of the guaranteed Legendary Mask on Scorched Acres now fly higher to make searching for it easier
    * Express Boost buff icon color changed from gray to light blue to make it stand out as a positive effect
    * Rift Lens is now locked behind the Beat the Heat challenge
    * Improved Nuclear Accelerator model
    * Improved Cup of Expresso SFX
    * Improved Contraband Gunpowder SFX and VFX
    * Added random pitch variation to Ratio Equalizer SFX
    * Several item models now use normal maps for less plain light reflections
    * Artifact of Enigma will no longer roll Wirehack Wrench and Gate Chalice
        * These changes can be reverted with the new Balance config
    * Removed mysticsitems_unlocklogs and mysticsitems_grantall console commands
        * Instead, use [CheatUnlocks](https://thunderstore.io/package/TheMysticSword/CheatUnlocks/) or [UnlockAll](https://thunderstore.io/package/mistername/UnlockAll/)
    * Removed item disabling config
* **Bug Fixes**
    * Fixed Treasure Map zone being visible with 1m radius when nobody has the item
    * Fixed Timely Execution giving invincibility only to hosts and monsters
    * Fixed Crystallized World screen flash effect applying to players outside of the teleporter radius
    * Fixed certain text strings not getting translated due to regional settings
    * Fixed Scratch Ticket being banned from enemies and Engineer Turrets
    * Fixed wrong outline colour on lunar item icons
    * Fixed the flames of the Legendary Mask unlockable pickup not fading out when it cools off
    * Fixed Spine Implant triggering on blocked damage and jump pads
    * Fixed Black Monolith texture becoming white on the one of Titanic Plains' variants
    * Fixed Legendary Mask not being displayed on Scavengers and the Engineer
  
(Previous changelogs can be found [here](https://github.com/TheMysticSword/MysticsItems/blob/main/CHANGELOG.md))

![](https://i.imgur.com/gBBfdeO.png)
